libstdc++

Public Types | Public Member Functions | Static Public Attributes | List of all members
std::is_class< _Tp > Struct Template Reference
Metaprogramming
Inheritance diagram for std::is_class< _Tp >:
[legend]

## Public Types

typedef integral_constant < bool, __v > | type
typedef bool | value_type

## Public Member Functions

constexpr | operator value_type ()

## Static Public Attributes

static constexpr bool | value

## Detailed Description

### template<typename _Tp>
struct std::is_class< _Tp >

is_class

Definition at line 373 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits